<bugID>1184304<Summary>[e10s] with KeePass Helper, Ctrl+W sometimes doesn&#8217;t work</Summary><Description>When e10s is enabled and the add-on KeePass Helper ( https://addons.mozilla.org/en-US/firefox/addon/keepass-helper/ ) is installed and enabled, Ctrl+W can fail to close certain tabs. The tabs can still be closed via middle-click or the close button, and after switching to another tab and back, Ctrl+W will also work again.

This seems to happen fairly reliably with tabs that were not opened through normal browsing, such as:
1. the very first tab when starting Firefox, if the setting &#8220;When Firefox starts: Show my windows and tabs from last time&#8221; is enabled
2. a link that was opened outside Firefox, that is, an external application launched a new Firefox instance, which detected the running Firefox and opened the link in that instance as a new tab

However, it can also (rarely) happen with regular tabs, seemingly at random, and the second method above also doesn&#8217;t always seem to work.

I reported the bug on 2015-06-08 to the developer via the Support E-Mail listed on AMO, but have yet to receive a response.</Description></bugID>